Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1991885 - F35FailsToInstall: opentrep, python3-opentrep
Summary: F35FailsToInstall: opentrep, python3-opentrep
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: opentrep
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Arnaud
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-08-10 10:58 UTC by Miro Hrončok
Modified: 2021-11-25 15:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-25 11:23:21 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-10 10:58:59 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (opentrep) Fails To Install in Fedora 35:

can't install opentrep:
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by opentrep-0.07.9-2.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by opentrep-0.07.9-2.fc35.x86_64
  - nothing provides libboost_iostreams.so.1.75.0()(64bit) needed by opentrep-0.07.9-2.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by opentrep-0.07.9-2.fc35.x86_64
  - nothing provides libboost_random.so.1.75.0()(64bit) needed by opentrep-0.07.9-2.fc35.x86_64
  
can't install python3-opentrep:
  - nothing provides libboost_python310.so.1.75.0()(64bit) needed by python3-opentrep-0.07.9-2.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:38:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Miro Hrončok 2021-08-18 08:41:33 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Denis Arnaud 2021-08-18 14:20:32 UTC
As I am also the upstream maintainer, I've begun to investigate the issue and released a new version fixing it: https://github.com/trep/opentrep/releases/tag/v0.07.10.
The issue was not an easy one: apparently, Boost have introduced (with Boost 1.76.0) a breaking change, related to how Unicode is taken in charge, in some libraries used by Boost.Spirit (like Boost.Proto or Boost.Phoenix), but I could not find anything related in the documentation. I had to fully re-work the code (Boost.Spirit-based parser).

I did not update/upgrade the Fedora package yet because there is seemingly another bug related to Python. I can work only during weekends. But I am on it.

Comment 4 Miro Hrončok 2021-11-08 15:54:55 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 5 Miro Hrončok 2021-11-25 11:23:21 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.